SoloMapComponentRejectPolicy (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Class SoloMapComponentRejectPolicy

    java.lang.Object
      com.bbn.openmap.SoloMapComponentRejectPolicy

All Implemented Interfaces:
  SoloMapComponentPolicy

    public class SoloMapComponentRejectPolicy

extends java.lang.Object
implements SoloMapComponentPolicy

A SoloMapComponentPolicy that rejects attempts to add a duplicate SoloMapComponent to the BeanContext.

Constructor Summary
`SoloMapComponentRejectPolicy()`

Method Summary
`boolean` | `canAdd(java.beans.beancontext.BeanContextSupport bc, java.lang.Object obj)` Ask whether an object can be added to the to the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoloMapComponentRejectPolicy

    public SoloMapComponentRejectPolicy()

Method Detail

### canAdd

    public boolean canAdd(java.beans.beancontext.BeanContextSupport bc,
                          java.lang.Object obj)
                   throws MultipleSoloMapComponentException

  Description copied from interface: `SoloMapComponentPolicy`
  Ask whether an object can be added to the to the context.

  Specified by:
    `canAdd` in interface `SoloMapComponentPolicy`
  Parameters:
    `bc` - BeanContext, or MapHandler
    `obj` - the object to check before adding to MapHandler
  Returns:
    true if the object can be added to the MapHandler.
  Throws:
    `MultipleSoloMapComponentException` - if a duplicate instance of SoloMapComponent exists.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details